Subject: Re: type codes (Re: wildcard optimization and b/w incompatibility )

From: "Matt Larson" <[email-masked]>
Date: Thu, 21 Nov 2002 16:19:39 -0500

Paul Vixie wrote:
> it also means that the mneumonics will change with each revision, so
> we may end up with things like SIG2/KEY2/DS2 or even
> SIG3950/NXT3950/DS3950 if there were a dnssec revision defined in
> RFC3950. 

Why do the mnemonics need to change if the type codes change?

Matt

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>

---

From: Edward Lewis <[email-masked]>
Date: Thu, 21 Nov 2002 16:38:23 -0500

Yes!

I once suggested that we just chuck the KEY RR instead of publishing 
the 'KEY RR restrict' document.  But I can't find any record that I 
sent this to a public list.

At 20:51 +0000 11/21/02, Paul Vixie wrote:
>specification.  therefore in each incompatible revision of dnssec, we ought
>to deprecate the old type codes for dnssec-specific RRs.  this will cause

-- 
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
Edward Lewis                                          +1-703-227-9854
ARIN Research Engineer

---

From: Edward Lewis <[email-masked]>
Date: Thu, 21 Nov 2002 16:39:41 -0500

>Why do the mnemonics need to change if the type codes change?

So the documents are also obviously obsoleted.
-- 
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
Edward Lewis                                          +1-703-227-9854
ARIN Research Engineer

---

From: "Scott Rose" <[email-masked]>
Date: Thu, 21 Nov 2002 21:37:48 -0500

To quote the "A-Team":  That's so crazy it just might work!

But I still have some doubts.  That will help identify the "true" security
aware servers/resolvers, but will it help the problem of a non-DS aware
cache between the resolver and authoritative server?  If a recursive
forwarder doesn't know where to ask for the DS record, it doesn't matter
what the type code is.

I don't know.  I need to think about it.  It does make some other unpleasent
problems go away.

Scott
PS (non US) The A-Team was a TV show in the 80's where a band of ex-military
misfits solve problems with wierd plans that always worked, no matter how
silly/crazy/outlandish.

----- Original Message -----
From: "Paul Vixie" <[email-masked]>
To: <[email-masked]>
Sent: Thursday, November 21, 2002 3:51 PM
Subject: type codes (Re: wildcard optimization and b/w incompatibility )

> regarding backward compatibility, let's talk about RR type codes for
> SIG, NXT, KEY, etc
>
> the deployed base of 2535 is insignificant, and no effort has been made
> to try to "remain true" to the protocol as described in any earlier dnssec
> "interrim" implementations to believe that "there is no security data" and
> fall back to normal, pre-dnssec operation.
>
> naturally this also presents an unfortunate opportunity to change the
rdata
> format with each revision, but i hope that we can manage not to take it.
>
> it also means that the mneumonics will change with each revision, so we
may
> end up with things like SIG2/KEY2/DS2 or even SIG3950/NXT3950/DS3950 if
there
> were a dnssec revision defined in RFC3950.
>
> however, this is the only way to be sure of "b/w compatibility" with
interrim
> dnssec implementations -- and that is, to invalidate them entirely and
force
> them into their pre-dnssec mode.
>
> --